# TODO: fix share linked with libav*
Name: fftv
Version: 0.8.3
Release: alt0.1

Summary: GNOME TV viewer

License: GPL
Group: Video
Url: http://fftv.sourceforge.net/

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Patch: %name-0.8.2.patch

# Automatically added by buildreq on Sat Sep 17 2005
BuildRequires: esound fontconfig-devel freetype2-devel glib2-devel imlib2-devel libSDL-devel libatk-devel libcairo-devel libglitz-devel libgtk+2-devel liblame-devel libogg-devel libpango-devel libpng-devel libvorbis-devel pkg-config xorg-x11-devel zlib-devel

%description
fftv is a TV viewer for use with TV cards and Video for Linux. It also
features a radio user interface. It can support recording of various
formats and codecs including MPEG, AVI, and Ogg. It supports remote
control if LIRC is installed.

%prep
%setup -q
%patch -p0
#%__subst "s|.*-C libavco.*||g" Makefile
#%__subst "s|.*-C libavformat in.*||g" Makefile

%build
# a52 and faad is GPLed
%configure --enable-a52bin --enable-gpl \
	--enable-mp3lame --enable-vorbis --enable-pp --enable-shared-pp --disable-vhook
#	--enable-shared --enable-faad --enable-faac --enable-sunmlib
%make

%install
%make_install install DESTDIR=%buildroot
%__rm -rf %buildroot%_libdir/vhook

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Multimedia/Video" \
title="FFTV" \
longtitle="%summary" \
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_libdir/%name
%_menudir/*
# already packed in libffmpeg
#%_libdir/vhook
%_man1dir/*
%_datadir/icons/*

%changelog
* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.3-alt0.1
- new version 0.8.3 (with rpmrb script)
- fix vhook packed

* Wed Sep 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt0.1
- new version

* Mon Feb 28 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4-alt0.1
- PLD Team <feedback@pld-linux.org>
